OCS Inventory NG Forums

OCS Inventory NG, an OpenSource computer inventory and package deployement system for Windows and Unix

You are not logged in.

#1 2010-11-10 10:57:31

stheodosis
Member
Registered: 2010-11-10
Posts: 2

Problem with Agent-1.1.2.1 Perl_reg_numbered_buff_fetch failed

Hello everyone,

I am using the OCS-NG for some years with the 1.0.3 agent with no problem.

I decide to upgrade both the server and agent.

I have install the server with no problem but when i  run the agent and I am getting the following error:

ocsinventory-agent  (version 1.1.2.1)
Using a hash as a reference is deprecated at /usr/lib/perl5/site_perl/5.12.1/Ocsinventory/Agent/Backend/OS/Linux/Storages/3ware.pm line 120.
perl: regcomp.c:5199: Perl_reg_numbered_buff_fetch: Assertion `rx->sublen >= (s - rx->subbeg) + i' failed.
Aborted

The pc is a AMD Athlon(tm) Dual Core Processor 5050e with OpenSuse 11.3 64bit 

My perl is the perl 5, version 12, subversion 1 (v5.12.1) built for x86_64-linux-thread-multi

I am also getting the same error in a Pentium 3 with Opensuse 11.1 with perl v5.10.0 built for i586-linux-thread-multi where the server runs.

I search both the web and the forum for this error, without any luck

I thing that this is worth mentioning because no one else has.(probably becouse no one has installed the new version it in OpenSuse).

I will downgrade to the 1.0.3 agent which I am using right now.


PS:
By the way and because this is my first time posting a message on this forum, I thing that the OCSNG is asome.

Last edited by stheodosis (2010-11-10 10:57:47)

Offline

Board footer

Powered by FluxBB

Serveur dédié, hébergement web, infogérance et nom  de domaine - NFrance Conseil